// Code generated by gobind. DO NOT EDIT.

// Java class com.proton.gopenpgp.crypto.PlainMessage is a proxy for talking to a Go program.
//
//   autogenerated by gobind -lang=java -javapkg=com.proton.gopenpgp github.com/ProtonMail/gopenpgp/v2/crypto
package com.proton.gopenpgp.crypto;

import go.Seq;

/**
 * PlainMessage stores a plain text / unencrypted message.
 */
public final class PlainMessage implements Seq.Proxy {
	static { Crypto.touch(); }
	
	private final int refnum;
	
	@Override public final int incRefnum() {
	      Seq.incGoRef(refnum, this);
	      return refnum;
	}
	
	/**
	 * NewPlainMessage generates a new binary PlainMessage ready for encryption,
	signature, or verification from the unencrypted binary data.
	 */
	public PlainMessage(byte[] data) {
		this.refnum = __NewPlainMessage(data);
		Seq.trackGoRef(refnum, this);
	}
	
	private static native int __NewPlainMessage(byte[] data);
	
	// skipped constructor PlainMessage.NewPlainMessageFromFile with unsupported parameter or return types
	
	/**
	 * NewPlainMessageFromString generates a new text PlainMessage,
	ready for encryption, signature, or verification from an unencrypted string.
	 */
	public PlainMessage(String text) {
		this.refnum = __NewPlainMessageFromString(text);
		Seq.trackGoRef(refnum, this);
	}
	
	private static native int __NewPlainMessageFromString(String text);
	
	PlainMessage(int refnum) { this.refnum = refnum; Seq.trackGoRef(refnum, this); }
	
	/**
	 * The content of the message
	 */
	public final native byte[] getData();
	/**
	 * The content of the message
	 */
	public final native void setData(byte[] v);
	
	/**
	 * If the content is text or binary
	 */
	public final native boolean getTextType();
	/**
	 * If the content is text or binary
	 */
	public final native void setTextType(boolean v);
	
	// skipped field PlainMessage.Time with unsupported type: uint32
	
	/**
	 * The encrypted message&#39;s filename
	 */
	public final native String getFilename();
	/**
	 * The encrypted message&#39;s filename
	 */
	public final native void setFilename(String v);
	
	/**
	 * GetBase64 returns the base-64 encoded binary content of the message as a
	string.
	 */
	public native String getBase64();
	/**
	 * GetBinary returns the binary content of the message as a []byte.
	 */
	public native byte[] getBinary();
	/**
	 * GetString returns the content of the message as a string.
	 */
	public native String getString();
	/**
	 * IsBinary returns whether the message is a binary message.
	 */
	public native boolean isBinary();
	/**
	 * IsText returns whether the message is a text message.
	 */
	public native boolean isText();
	// skipped method PlainMessage.NewReader with unsupported parameter or return types
	
	@Override public boolean equals(Object o) {
		if (o == null || !(o instanceof PlainMessage)) {
		    return false;
		}
		PlainMessage that = (PlainMessage)o;
		byte[] thisData = getData();
		byte[] thatData = that.getData();
		if (thisData == null) {
			if (thatData != null) {
			    return false;
			}
		} else if (!thisData.equals(thatData)) {
		    return false;
		}
		boolean thisTextType = getTextType();
		boolean thatTextType = that.getTextType();
		if (thisTextType != thatTextType) {
		    return false;
		}
		// skipped field PlainMessage.Time with unsupported type: uint32
		
		String thisFilename = getFilename();
		String thatFilename = that.getFilename();
		if (thisFilename == null) {
			if (thatFilename != null) {
			    return false;
			}
		} else if (!thisFilename.equals(thatFilename)) {
		    return false;
		}
		return true;
	}
	
	@Override public int hashCode() {
	    return java.util.Arrays.hashCode(new Object[] {getData(), getTextType(), getFilename()});
	}
	
	@Override public String toString() {
		StringBuilder b = new StringBuilder();
		b.append("PlainMessage").append("{");
		b.append("Data:").append(getData()).append(",");
		b.append("TextType:").append(getTextType()).append(",");
		b.append("Filename:").append(getFilename()).append(",");
		return b.append("}").toString();
	}
}

